"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPlatform = exports.getOperatingSystem = exports.getBrowserName = void 0;
var getOperatingSystem = function (userAgent) {
    if (userAgent === void 0) { userAgent = navigator.userAgent; }
    if (userAgent.match(/Windows|Win64|Win32/i)) {
        return 'windows';
    }
    if (userAgent.match(/iPhone|iPad|iPod/i)) {
        return 'ios';
    }
    if (userAgent.match(/Mac OS X|Mac_PowerPC/i)) {
        return 'mac os';
    }
    if (userAgent.match(/Android/i)) {
        return 'android';
    }
    return null;
};
exports.getOperatingSystem = getOperatingSystem;
var getBrowserName = function (userAgent) {
    if (userAgent === void 0) { userAgent = navigator.userAgent; }
    if (userAgent.match(/edge/i)) {
        return 'edge';
    }
    if (userAgent.match(/chromium/i)) {
        return 'chromium';
    }
    if (userAgent.match(/chrome/i)) {
        return 'chrome';
    }
    if (userAgent.match(/firefox/i)) {
        return 'firefox';
    }
    if (userAgent.match(/msie|trident/i)) {
        return 'ie';
    }
    if (userAgent.match(/IEMobile/i)) {
        return 'ie mobile';
    }
    if (userAgent.match(/safari/i)) {
        return 'safari';
    }
    if (userAgent.match(/Opera Mini/i)) {
        return 'opera mini';
    }
    if (userAgent.match(/opera|opr/i)) {
        return 'opera';
    }
    return null;
};
exports.getBrowserName = getBrowserName;
var getPlatform = function (userAgent) {
    if (userAgent === void 0) { userAgent = navigator.userAgent; }
    if (userAgent.match(/iPhone|iPad|iPod|Android|BlackBerry|IEMobile|Opera Mini/i)) {
        return 'mobile';
    }
    return "desktop";
};
exports.getPlatform = getPlatform;
