"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertPixelsToEm = exports.convertPixelsToRem = void 0;
var defaultBrowserFontSize = '16px';
var getPixelUnit = function (pixelValue) {
    var pxIndex = pixelValue.indexOf('px');
    var pixelUnit = Number(pixelValue.slice(0, pxIndex));
    return pixelUnit;
};
var convertPixelsToRem = function (pixelValue, baseFontSize) {
    if (baseFontSize === void 0) { baseFontSize = defaultBrowserFontSize; }
    var pixelUnit = getPixelUnit(pixelValue);
    var baseFontUnit = getPixelUnit(baseFontSize);
    var calculatedRemUnit = pixelUnit / baseFontUnit;
    return String(calculatedRemUnit) + 'rem';
};
exports.convertPixelsToRem = convertPixelsToRem;
var convertPixelsToEm = function (pixelValue, baseFontSize) {
    if (baseFontSize === void 0) { baseFontSize = defaultBrowserFontSize; }
    var pixelUnit = getPixelUnit(pixelValue);
    var baseFontUnit = getPixelUnit(baseFontSize);
    var calculatedEmUnit = pixelUnit / baseFontUnit;
    return String(calculatedEmUnit) + 'em';
};
exports.convertPixelsToEm = convertPixelsToEm;
