"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBrowserStorage = void 0;
var React = require("react");
var browserStorage_1 = require("./browserStorage");
var useState = React.useState;
var useBrowserStorage = function (storageType, key) {
    var _a = useState(browserStorage_1.browserStorage.getStoredValue(storageType, key)), storedValue = _a[0], setStoredValue = _a[1];
    var setValueToStorage = function (valueToSet) {
        browserStorage_1.browserStorage.setValue(storageType, key, valueToSet);
        setStoredValue(valueToSet);
    };
    var clearValueFromStorage = function () {
        browserStorage_1.browserStorage.clearValue(storageType, key);
        setStoredValue(null);
    };
    return [storedValue, setValueToStorage, clearValueFromStorage];
};
exports.useBrowserStorage = useBrowserStorage;
