"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useScroll = void 0;
var React = require("react");
var useEffect = React.useEffect, useState = React.useState;
var getVerticalScrollPosition = function () {
    var documentElement = document.documentElement;
    var documentElementScrollTop = documentElement
        ? documentElement.scrollTop
        : 0;
    return documentElementScrollTop || window.scrollY;
};
var useScroll = function () {
    var _a = useState(getVerticalScrollPosition()), verticalScrollPosition = _a[0], setVerticalScrollPosition = _a[1];
    useEffect(function () {
        window.addEventListener('scroll', getScrollPosition);
        return function () {
            window.removeEventListener('scroll', getScrollPosition);
        };
    }, []);
    var getScrollPosition = function () {
        setVerticalScrollPosition(getVerticalScrollPosition());
    };
    return {
        verticalScrollPosition: verticalScrollPosition,
    };
};
exports.useScroll = useScroll;
